;
;
;       some helpful system routine addresses
;
;
;       For now refer to existing TI-85 or TI-83 documentation
;       from the WEB.
;
;
_clrLCD                          =            4A7Eh
_clrScrn                         =            4A82h
_putmap                          =            4A27h
_putc                            =            4A2Bh
_puts                            =            4A37h
_putps                           =            4A3Bh
_vputmap                         =            4AA1h
_vputs                           =            4AA5h
_vputsn                          =            4AA9h
_GRBUFCPY                        =            4E39h
_ILine                           =            4E51h
_IPoint                          =            4E59h
_PDspGrph                        =            4D6Fh
_CLine                           =            51E9h
_getkey                          =            55AAh
_RANDOM                          =            55DAh
_newline                         =            4A5Fh
_runindicoff                     =            4AB1h
_runindicon                      =            4AADh
;
;
;       start address for all ASM programs
;
;
_asm_exec_ram             =         0D748h
;
;
;       op1 to op6 ram =ates
;
;
_OP1                      =         0C089h
_OP1EXPM                  =         0C08Ah
_OP1EXPL                  =         0C08Bh
_OP1M                     =         0C08Ch
_OP1EXT                   =         0C093h
_OP2                      =         0C094h
_OP2EXPM                  =         0C095h
_OP2EXPL                  =         0C096h
_OP2M                     =         0C097h
_OP2EXT                   =         0C09Eh
_OP3                      =         0C09Fh
_OP3EXPM                  =         0C0A0h
_OP3EXPL                  =         0C0A1h
_OP3M                     =         0C0A2h
_OP3EXT                   =         0C0A9h
_OP4                      =         0C0AAh
_OP4EXPM                  =         0C0ABh
_OP4EXPL                  =         0C0ACh
_OP4M                     =         0C0ADh
_OP4EXT                   =         0C0B4h
_OP5                      =         0C0B5h
_OP5EXPM                  =         0C0B6h
_OP5EXPL                  =         0C0B7h
_OP5M                     =         0C0B8h
_OP5EXT                   =         0C0BFh
_OP6                      =         0C0C0h
_OP6EXPM                  =         0C0C1h
_OP6EXPL                  =         0C0C2h
_OP6M                     =         0C0C3h
_OP6EXT                   =         0C0CAh
;
;
;       screen shadow ram =ates
;
;
_textShadow               =         0C0F9h
_cmdShadow                =         0CFABh
_plotSScreen              =         0C9FAh
;
;
;       display cursor ram =ates
;
;
_curRow                   =         0C00Fh
_curCol                   =         0C010h
_penCol                   =         0C37Ch
_penRow                   =         0C37Dh
;
;
;       link port =ates
;
;
BPort           =     7               ;4-bit I/O
D0LD1L      =          0FCH
D0LD1H      =          0D4H
D0HD1L      =          0E8H
D0HD1H      =          0C0H
;
;
;
;       character font =ates
;
;
;
Lbinary = 001h
Loctal  = 002h
Ldecimal    = 003h
Lhexadecimal    = 004h
Lconvert    = 005h
LsqUp   = 006h
LsqDown = 007h
Lintegral   = 008h
Lcross  = 009h
LhexA   = 00Ah
LhexB   = 00Bh
LhexC   = 00Ch
LhexD   = 00Dh
LhexE   = 00Eh
LhexF   = 00Fh
Lroot   = 010h
Linverse    = 011h
Lsquare = 012h
Langle  = 013h
Ldegree = 014h
Lradian = 015h
Ltranspose  = 016h
LLE = 017h
LNE = 018h
LGE = 019h
Lneg    = 01Ah
Lexponent   = 01Bh
Lstore  = 01Ch
Lten    = 01Dh
LupArrow    = 01Eh
LdownArrow  = 01Fh
Lspace  = 020h
Lexclam = 021h
Lquote  = 022h
Lpound  = 023h
Ldollar = 024h
Lpercent    = 025h
Lampersand  = 026h
Lapostrophe = 027h
LlParen = 028h
LrParen = 029h
Lasterisk   = 02Ah
LplusSign   = 02Bh
Lcomma  = 02Ch
Ldash   = 02Dh
Lperiod = 02Eh
Lslash  = 02Fh
L0  = 030h
L1  = 031h
L2  = 032h
L3  = 033h
L4  = 034h
L5  = 035h
L6  = 036h
L7  = 037h
L8  = 038h
L9  = 039h
Lcolon  = 03Ah
Lsemicolon  = 03Bh
LLT = 03Ch
LEQ = 03Dh
LGT = 03Eh
Lquestion   = 03Fh
LatSign = 040h
LcapA   = 041h
LcapB   = 042h
LcapC   = 043h
LcapD   = 044h
LcapE   = 045h
LcapF   = 046h
LcapG   = 047h
LcapH   = 048h
LcapI   = 049h
LcapJ   = 04Ah
LcapK   = 04Bh
LcapL   = 04Ch
LcapM   = 04Dh
LcapN   = 04Eh
LcapO   = 04Fh
LcapP   = 050h
LcapQ   = 051h
LcapR   = 052h
LcapS   = 053h
LcapT   = 054h
LcapU   = 055h
LcapV   = 056h
LcapW   = 057h
LcapX   = 058h
LcapY   = 059h
LcapZ   = 05Ah
LlBrack = 05Bh
Lbackslash  = 05Ch
LrBrack = 05Dh
Lcaret  = 05Eh
Lunderscore = 05Fh
Lbackquote  = 060h
La  = 061h
Lb  = 062h
Lc  = 063h
Ld  = 064h
Le  = 065h
Lf  = 066h
Lg  = 067h
Lh  = 068h
Li  = 069h
Lj  = 06Ah
Lk  = 06Bh
Ll  = 06Ch
Lm  = 06Dh
Ln  = 06Eh
Lo  = 06Fh
Lp  = 070h
Lq  = 071h
Lr  = 072h
Ls  = 073h
Lt  = 074h
Lu  = 075h
Lv  = 076h
Lw  = 077h
Lx  = 078h
Ly  = 079h
Lz  = 07Ah
LlBrace = 07Bh
Lbar    = 07Ch
LrBrace = 07Dh
Ltilde  = 07Eh
LinvEQ  = 07Fh
Lsub0   = 080h
Lsub1   = 081h
Lsub2   = 082h
Lsub3   = 083h
Lsub4   = 084h
Lsub5   = 085h
Lsub6   = 086h
Lsub7   = 087h
Lsub8   = 088h
Lsub9   = 089h
LcapAAcute  = 08Ah
LcapAGrave  = 08Bh
LcapACaret  = 08Ch
LcapADier   = 08Dh
LaAcute = 08Eh
LaGrave = 08Fh
LaCaret = 090h
LaDier  = 091h
LcapEAcute  = 092h
LcapEGrave  = 093h
LcapECaret  = 094h
LcapEDier   = 095h
LeAcute = 096h
LeGrave = 097h
LeCaret = 098h
LeDier  = 099h
LcapIAcute  = 09Ah
LcapIGrave  = 09Bh
LcapICaret  = 09Ch
LcapIDier   = 09Dh
LiAcute = 09Eh
LiGrave = 09Fh
LiCaret = 0A0h
LiDier  = 0A1h
LcapOAcute  = 0A2h
LcapOGrave  = 0A3h
LcapOCaret  = 0A4h
LcapODier   = 0A5h
LoAcute = 0A6h
LoGrave = 0A7h
LoCaret = 0A8h
LoDier  = 0A9h
LcapUAcute  = 0AAh
LcapUGrave  = 0ABh
LcapUCaret  = 0ACh
LcapUDier   = 0ADh
LuAcute = 0AEh
LuGrave = 0AFh
LuCaret = 0B0h
LuDier  = 0B1h
LcapCCed    = 0B2h
LcCed   = 0B3h
LcapNTilde  = 0B4h
LnTilde = 0B5h
Laccent = 0B6h
Lgrave  = 0B7h
Ldieresis   = 0B8h
LquesDown   = 0B9h
LexclamDown = 0BAh
Lalpha  = 0BBh
Lbeta   = 0BCh
Lgamma  = 0BDh
LcapDelta   = 0BEh
Ldelta  = 0BFh
Lepsilon    = 0C0h
Ltheta  = 0C1h
Llambda = 0C2h
Lmu = 0C3h
Lpi = 0C4h
Lrho    = 0C5h
LcapSigma   = 0C6h
Lsigma  = 0C7h
Ltau    = 0C8h
Lphi    = 0C9h
LcapOmega   = 0CAh
LxMean  = 0CBh
LyMean  = 0CCh
LsupX   = 0CDh
Lellipsis   = 0CEh
Lleft   = 0CFh
Lblock  = 0D0h
Lper    = 0D1h
Lhyphen = 0D2h
Larea   = 0D3h
Ltemp   = 0D4h
Lcube   = 0D5h
Lenter  = 0D6h
LblockArrow     =     0D7h
;
;
;       'getkey' =ates
;
;
kRight  = 001h
kLeft   = 002h
kUp = 003h
kDown   = 004h
kColon  = 005h
kEnter  = 006h
kExit   = 007h
kClear  = 008h
kDel    = 009h
kIns    = 00Ah
kNext   = 00Bh
kAdd    = 00Ch
kSub    = 00Dh
kMul    = 00Eh
kDiv    = 00Fh
kExpon  = 010h
kLParen = 011h
kRParen = 012h
kLBrack = 013h
kRBrack = 014h
kEqual  = 015h
kStore  = 016h
kRecall = 017h
kComma  = 018h
kAng    = 019h
kChs    = 01Ah
kDecPnt = 01Bh
k0  = 01Ch
k1  = 01Dh
k2  = 01Eh
k3  = 01Fh
k4  = 020h
k5  = 021h
k6  = 022h
k7  = 023h
k8  = 024h
k9  = 025h
kEE = 026h
kSpace  = 027h
kCapA   = 028h
kCapB   = 029h
kCapC   = 02Ah
kCapD   = 02Bh
kCapE   = 02Ch
kCapF   = 02Dh
kCapG   = 02Eh
kCapH   = 02Fh
kCapI   = 030h
kCapJ   = 031h
kCapK   = 032h
kCapL   = 033h
kCapM   = 034h
kCapN   = 035h
kCapO   = 036h
kCapP   = 037h
kCapQ   = 038h
kCapR   = 039h
kCapS   = 03Ah
kCapT   = 03Bh
kCapU   = 03Ch
kCapV   = 03Dh
kCapW   = 03Eh
kCapX   = 03Fh
kCapY   = 040h
kCapZ   = 041h
ka  = 042h
kb  = 043h
kc  = 044h
kd  = 045h
ke  = 046h
kf  = 047h
kg  = 048h
kh  = 049h
ki  = 04Ah
kj  = 04Bh
kk  = 04Ch
kl  = 04Dh
km  = 04Eh
kn  = 04Fh
ko  = 050h
kp  = 051h
kq  = 052h
kr  = 053h
ks  = 054h
kt  = 055h
ku  = 056h
kv  = 057h
kw  = 058h
kx  = 059h
ky  = 05Ah
kz  = 05Bh
kVarx   = 05Ch
kAns    = 05Dh
kPi = 05Eh
kInv    = 05Fh
kSin    = 060h
kASin   = 061h
kCos    = 062h
kACos   = 063h
kTan    = 064h
kATan   = 065h
kSquare = 066h
kSqrt   = 067h
kLn = 068h
kExp    = 069h
kLog    = 06Ah
kALog   = 06Bh
kMath   = 06Ch
kCplx   = 06Dh
kString = 06Eh
kTest   = 06Fh
kConv   = 070h
kChar   = 071h
kBase   = 072h
kCustom = 073h
kVars   = 074h
kCatalog    = 075h
kQuit   = 076h
kLastEnt    = 077h
kLinkIO = 078h
kMem    = 079h
kList   = 07Ah
kVector = 07Bh
kConst  = 07Ch
kMatrix = 07Dh
kPoly   = 07Eh
kSimult = 07Fh
kStat   = 080h
kGrMenu = 081h
kMode   = 082h
kPrgm   = 083h
kCalcu  = 084h
kSolver = 085h
;
kTable  = 086h        ; new key added for LEO
;
kBOL    = 087h
kEOL    = 088h
kCUSTM  = 093h
kF1 = 0C2h
kF2 = 0C3h
kF3 = 0C4h
kF4 = 0C5h
kF5 = 0C6h
kF6 = 0C7h
kF7 = 0C8h
kF8 = 0C9h
kF9 = 0CAh
kF10    =     0CBh
kGRAPH  = 0FFh
